package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.mapper.InfoAddressMapper;
import com.ruoyi.system.domain.InfoAddress;
import com.ruoyi.system.service.IInfoAddressService;

/**
 * addressService业务层处理
 * 
 * @author ruoyi
 * @date 2023-05-24
 */
@Service
public class InfoAddressServiceImpl extends ServiceImpl<BaseMapper<InfoAddress>,InfoAddress> implements IInfoAddressService
{
    @Autowired
    private InfoAddressMapper infoAddressMapper;

    /**
     * 查询address
     * 
     * @param id address主键
     * @return address
     */
    @Override
    public InfoAddress selectInfoAddressById(Long id)
    {
        return infoAddressMapper.selectInfoAddressById(id);
    }

    /**
     * 查询address列表
     * 
     * @param infoAddress address
     * @return address
     */
    @Override
    public List<InfoAddress> selectInfoAddressList(InfoAddress infoAddress)
    {
        return infoAddressMapper.selectInfoAddressList(infoAddress);
    }

    /**
     * 新增address
     * 
     * @param infoAddress address
     * @return 结果
     */
    @Override
    public int insertInfoAddress(InfoAddress infoAddress)
    {
        return infoAddressMapper.insertInfoAddress(infoAddress);
    }

    /**
     * 修改address
     * 
     * @param infoAddress address
     * @return 结果
     */
    @Override
    public int updateInfoAddress(InfoAddress infoAddress)
    {
        return infoAddressMapper.updateInfoAddress(infoAddress);
    }

    /**
     * 批量删除address
     * 
     * @param ids 需要删除的address主键
     * @return 结果
     */
    @Override
    public int deleteInfoAddressByIds(Long[] ids)
    {
        return infoAddressMapper.deleteInfoAddressByIds(ids);
    }

    /**
     * 删除address信息
     * 
     * @param id address主键
     * @return 结果
     */
    @Override
    public int deleteInfoAddressById(Long id)
    {
        return infoAddressMapper.deleteInfoAddressById(id);
    }

    @Override
    public int deleteById(Long id)
    {
        return infoAddressMapper.deleteById(id);
    }
}
